Zum Hauptinhalt springen

Change your personal information

PUT/v2/user/{userId}
API-Version
v2
Request-Methode
PUT
Operation-ID
deprecated-user-service-personal-information-update

Use /v2/users/{userId} instead.

Request​

  • userIdstring (uuid)required

Responses​

Kein Response-Inhalt angegeben.

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X PUT \
-d '{"person":{"firstName":"Ada","lastName":"Lovelace","title":"mr"}}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/user/f0f86186-0a5a-45b2-aa33-502777496347
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.user.deprecatedUserServicePersonalInformationUpdate({
"userId": "f0f86186-0a5a-45b2-aa33-502777496347",
"data": {
"person": {
"firstName": "Ada",
"lastName": "Lovelace",
"title": "mr"
}
}
});

assertStatus(response, 204);

use \Mittwald\ApiClient\Generated\V2\Clients\User\DeprecatedUserServicePersonalInformationUpdate\DeprecatedUserServicePersonalInformationUpdateRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\User\DeprecatedUserServicePersonalInformationUpdate\DeprecatedUserServicePersonalInformationUpdateRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// DeprecatedUserServicePersonalInformationUpdateRequestBody to learn how to construct a valid instance
$body = new DeprecatedUserServicePersonalInformationUpdateRequestBody(/* TODO: ... */);

$request = (new DeprecatedUserServicePersonalInformationUpdateRequest(
userId: "f0f86186-0a5a-45b2-aa33-502777496347",
body: $body
));
$response = $client->user()->deprecatedUserServicePersonalInformationUpdate($request);

var_dump($response->getBody();

Auf dieser Seite